(* COMPILE-CMD: ia32.cmp *)

Program AsmTest3;

Type
  S2 = packed array [ 1..2 ] of Char;

Var
  Test, OK: S2;


Function GetOK: S2;

begin (* GetOK *)
  asm ( 'movw %1, %0'           (* only on IA32 *)
        : '=' 'r' ( Result )
        : 'r' "m" ( Test ) );
end (* GetOK *);


begin
  Test:= 'OK';
  OK:= GetOK;
  writeln ( OK );
end.
